{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "Dash_layout.html" %}
{% block content %}   

<link href="/static/dash/css/jquery.dataTables.min.css" rel="stylesheet" media="screen">

<script src="/static/dash/js/jquery-3.5.1.js"></script>

<script type="text/javascript">$(document).ready(function() {
    $('#example').DataTable( {
        "scrollX": true
    } );
} );</script>

<div class="page-wrapper">
    <div class="container-fluid">


            <h1>Tutorials</h1>
            <p>All post and tutorial found on the system.</p>

            <a href="{{ url_for('dash.newtuto')}}" class="btn btn-dark"><i class="m-r-10 mdi mdi-newspaper"></i> New Tutorial</a>
            
            <br>


            <center>
                {% if error %}
                <p class=error><strong>Error:</strong> {{ error }}
                {% endif %}
                <br>
                {% with messages = get_flashed_messages(with_categories=true) %}
                {% if messages %}
                <div class="alert alert-{{ messages.0.0 }}" role="alert">
                {% for category, message in messages %}
                {{ message }} </br>
                {% endfor %}
                *</div>
                {% endif %}
                {% endwith %}
                </center>
                <br>
                <table id="example" class="display" style="width:100%">
                    <thead>
                        <tr>
                            <th>Image</th>
                            <th>Title</th>
                            <th>Owner</th>
                            <th>Posted at</th>
                            <th>Setting</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for tuto in data.tutos %}
                        <tr>
                            <td><img class="thumbnail img-responsive rounded-circle" width="100" height="100" src="{{tuto.img}}"/></td>
                            <td>{{tuto.title}}</td>
                            <td>{{tuto.users.username}}</td>
                            <td>{{tuto.tuto_time.strftime('%A,%d,%Y || %H:%M')}}</td>
                            <td>
                                <a href="{{ url_for('dash.edittuto', tutorials_id=tuto.id) }}" class="m-r-10 mdi mdi-credit-card-scan label label-success" title="Open Tutorial"></a>

                                <a href="" class="m-r-10 mdi mdi-delete label label-danger" data-toggle="modal" data-target="#exampleModal" title="Delete Tutorial"></a>
                                <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog">
                                      <div class="modal-content">
                                        <div class="modal-header">
                                          <h5 class="modal-title" id="exampleModalLabel"><i class=" mdi mdi-delete-forever"></i> Delete confirmation !</h5>
                                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                          </button>
                                        </div>
                                        <div class="modal-body">
                                         Tutorial will delete  :  <b style='color:red;'>{{tuto.title}}.</b> forever .!
                                        </div>
                                        <div class="modal-footer">
                                          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                            <a class="btn btn-danger" href="{{ url_for('dash.deltuto', id=tuto.id) }}"><i class=" mdi mdi-delete-forever"></i> Delete</a>
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                            </td>
                        </tr>
                        {% endfor %}
                   
           
                    </tfoot>
                </table>
    </div>
</div>

{% endblock content %}